package com.jiuqi.grid;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.jiuqi.grid.CellDataPropertyIntf;
import com.jiuqi.grid.GridCell;
import java.io.Serializable;

public class CellDataProperty implements CellDataPropertyIntf, Serializable {
  private byte dataType;
  
  private byte dataFlag;
  
  private byte editMode;
  
  private byte dataFormat;
  
  private short dataProperty;
  
  private GridCell cell;
  
  public CellDataProperty(GridCell cell) {
    if (cell == null)
      throw new IllegalArgumentException("传入的cell为null"); 
    this.cell = cell;
  }
  
  public CellDataProperty(int dataType, int dataFlag, int editMode, int dataFormat, int dataProperty) {
    this.dataType = (byte)dataType;
    this.dataFlag = (byte)dataFlag;
    this.editMode = (byte)editMode;
    this.dataFormat = (byte)dataFormat;
    this.dataProperty = (short)dataProperty;
  }
  
  public byte getDataType() {
    if (this.cell != null)
      return (byte)this.cell.getDataType(); 
    return this.dataType;
  }
  
  public void setDataType(byte value) {
    if (value >= 0 && value <= 11) {
      if (this.cell != null)
        this.cell.setDataType(value); 
      this.dataType = value;
    } else {
      throw new IllegalArgumentException("单元格数据类型被错误设置！");
    } 
  }
  
  public byte getDataFlag() {
    if (this.cell != null)
      return (byte)this.cell.getDataFlag(); 
    return this.dataFlag;
  }
  
  public void setDataFlag(byte value) {
    if (this.cell != null)
      this.cell.setDataFlag(value); 
    this.dataFlag = value;
  }
  
  public byte getEditMode() {
    if (this.cell != null)
      return (byte)this.cell.getEditMode(); 
    return this.editMode;
  }
  
  public void setEditMode(byte value) {
    if (value >= 0 && value <= 9) {
      if (this.cell != null)
        this.cell.setEditMode(value); 
      this.editMode = value;
    } else {
      throw new IllegalArgumentException("单元格编辑模式被错误设置！");
    } 
  }
  
  public byte getDataFormat() {
    if (this.cell != null)
      return (byte)this.cell.getDataFormat(); 
    return this.dataFormat;
  }
  
  public void setDataFormat(byte value) {
    if (this.cell != null)
      this.cell.setDataFormat(value); 
    this.dataFormat = value;
  }
  
  public short getDataProperty() {
    if (this.cell != null)
      return (short)this.cell.getDataProperty(); 
    return this.dataProperty;
  }
  
  public void setDataProPerty(short value) {
    if (this.cell != null)
      this.cell.setDataProperty(value); 
    this.dataProperty = value;
  }
}
